import matplotlib
import matplotlib.pyplot as plt
import matplotlib.ticker as mtick
from pylab import genfromtxt
from matplotlib import rc
import os 
import numpy as np
dir_path = os.path.dirname(os.path.realpath(__file__))
plt.rcParams['backend'] = "pdf"
plt.rcParams['xtick.direction'] = 'in'
plt.rcParams['ytick.direction'] = 'in'
plt.rcParams['text.usetex'] = True
plt.rcParams['font.size'] = 12
plt.rcParams['axes.spines.right'] = False
plt.rcParams['axes.spines.top'] = False
plt.rcParams['axes.linewidth'] = 0.8 


#=============================================================================
# Read data
#%% =============================================================================


dirname = '/linear_elasticity-print-out'

dir_path = os.path.normpath(os.getcwd() +dirname)

sim1 = genfromtxt(dir_path+'/'+'EALL_element_1.dat',skip_header=2)

#=============================================================================
# Plot first data
#%% =============================================================================
plt.figure(1)
plt.subplot(111)

plt.semilogx(sim1[:,0]-sim1[0,0],sim1[:,7]*100,'or-', \
         markersize=4,markerfacecolor='none',markevery=20,\
         label=r'Simulation',clip_on=True)

ax = plt.gca()
ax.set_xlabel(r'Number of  cycles [-]')
ax.set_ylabel(r'Accumulated axial strain [\%]',labelpad=7)

plt.tight_layout() 
fig = plt.gcf()  
fig.savefig('predifined_strain_ampl.png', dpi=600 , bbox_inches='tight')